The Correct Version of LabVIEW Doesn't Show up in "Add/Remove Software"

Updated Jan 6, 2020

Reported In

Hardware

  • CompactRIO Controller

Software

  • LabVIEW

Issue Details

The version of LabVIEW I wish to install on my CompactRIO, does not shows up under Add/Remove Software. Only the currently installed version is listed as seen below: 

Solution

The correct version of all the software required needs to be installed on your PC for it to be downloaded onto your real-time target. For each version of LabVIEW, the matching version of the software listed below needs to be installed. 
  1. Required LabVIEW version
  2. NI CompactRIO and Drivers
  3. LabVIEW Real-Time Module
  4. LabVIEW FPGA Module
Once all of the software have been downloaded the correct version will show up under "Add/Remove software".
 

Compatibility

To ensure the version of LabVIEW is compatible with the RIO device please use the tool on the following paper: Software Support for CompactRIO, CompactDAQ, Single-Board RIO, R Series, and EtherCAT. The LabVIEW version which you download must then be the same as the version of LabVIEW Real-Time and LabVIEW FPGA Modules as described in the following article: LabVIEW Compatibility With the Real-Time and LabVIEW FPGA Modules. The compatibility of LabVIEW with the NI-RIO driver can be seen in the following article: NI-RIO and LabVIEW Version Compatibility